# encoding: utf-8

# Copyright (C) 2011 Clemens Fuchslocher <clemens@vakuumverpackt.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

module VoidMeter

	class Files
		attr_reader :extensions

		def initialize
			@extensions = []
			@block_comments = {}
		end

		def add_file(parameters)
			@extensions.push(parameters[:extension])
			@block_comments[parameters[:extension]] = parameters[:block_comment] if parameters[:block_comment] != nil
		end

		def contains_extension(extension)
			extensions.include?(extension)
		end

		def get_block_comment(extension)
			@block_comments[extension]
		end

		def to_s
			"#{@extensions} #{@block_comments}"
		end
	end

end
